var HttpAgent = require('../../index.js');
var express = require('express');

var app = express()
 
app.get('/', function (req, res) {
  res.send('Hello World')
})

let agent = new HttpAgent(app);
let server = agent.start(3000); //start a server
console.log('SERVER:', server.constructor.name); //show me the server constructor
agent.start(3000); //try to start a server and fail because we already have one running
console.log('STATUS:', agent.status()); //return the status of my server
setTimeout(function(){ //wait 1 second
  agent.stop(function(){ //stop the agent with a custom callback
    console.log('The example server stopped! (This is a custom callback)');
    agent.restart(); //restart my server
    setTimeout(function(){ //wait 1 second
      agent.stop(); //stop for good
    }, 1000);
  });
}, 1000);
